diff --git a/src/BFEgg_fmt_plug.c b/src/BFEgg_fmt_plug.c
index 95fc278e0ec..254d43e507c 100644
--- a/src/BFEgg_fmt_plug.c
+++ b/src/BFEgg_fmt_plug.c
@@ -15,24 +15,8 @@ john_register_one(&fmt_BFEgg);
 #else
 
 #include <string.h>
-
 #ifdef _OPENMP
 #include <omp.h>
-// Tuning on AMD A8 4500M laptop, cygwin64 with OMP(4x) -test=5
-// 4   = 44330 (original)
-// 16  = 54760
-// 24  = 56151
-// 32  = 56216
-// 64  = 57770
-// 96  = 57888
-// 128 = 58016  > instant -test=0
-// 256 = 58282  // from here on, not enough gain to matter.
-// 512 = 58573
-// 1024= 59464
-// 4096= 59244  > 1s -test=0
-#ifndef OMP_SCALE
-#define OMP_SCALE               128
-#endif
 #endif
 
 #include "misc.h"
@@ -40,6 +24,10 @@ john_register_one(&fmt_BFEgg);
 #include "common.h"
 #include "blowfish.c"
 
+#ifndef OMP_SCALE
+#define OMP_SCALE               256	// MKPC and OMP_SCALE tuned for core i7
+#endif
+
 #define FORMAT_LABEL            "bfegg"
 #define FORMAT_NAME             "Eggdrop"
 #define ALGORITHM_NAME          "Blowfish 32/" ARCH_BITS_STR
@@ -53,7 +41,7 @@ john_register_one(&fmt_BFEgg);
 #define SALT_SIZE               0
 #define SALT_ALIGN              1
 #define MIN_KEYS_PER_CRYPT      1
-#define MAX_KEYS_PER_CRYPT      1
+#define MAX_KEYS_PER_CRYPT      2
 
 static struct fmt_tests tests[] = {
     {"+9F93o1OxwgK1", "123456"},
@@ -93,9 +81,8 @@ static int valid(char *ciphertext, struct fmt_main *self) {
 void init(struct fmt_main *self) {
 	const char *pos;
 
-#ifdef _OPENMP
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_key = mem_calloc(self->params.max_keys_per_crypt,
 	                       sizeof(*saved_key));
 	crypt_out = mem_calloc(self->params.max_keys_per_crypt,
diff --git a/src/DOMINOSEC8_fmt_plug.c b/src/DOMINOSEC8_fmt_plug.c
index fce0c067504..def0e3c1fc2 100644
--- a/src/DOMINOSEC8_fmt_plug.c
+++ b/src/DOMINOSEC8_fmt_plug.c
@@ -38,21 +38,21 @@ john_register_one(&fmt_DOMINOSEC8);
 
 #include <ctype.h>
 #include <string.h>
-
 #ifdef DOMINOSEC_32BIT
 #include <stdint.h>
 #endif
+#ifdef _OPENMP
+#include <omp.h>
+#endif
 
 #include "misc.h"
 #include "formats.h"
 #include "common.h"
 #undef SIMD_COEF_32
 #include "pbkdf2_hmac_sha1.h"
-#ifdef _OPENMP
-#include <omp.h>
+
 #ifndef OMP_SCALE
-#define OMP_SCALE               128
-#endif
+#define OMP_SCALE           1	// MKPC and OMP_SCALE tuned for core i7
 #endif
 
 #define FORMAT_LABEL		"dominosec8"
@@ -174,9 +174,8 @@ static struct fmt_tests tests[] = {
 
 static void init(struct fmt_main *self)
 {
-#ifdef _OPENMP
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_key = mem_calloc(self->params.max_keys_per_crypt, sizeof(*saved_key));
 	crypt_out = mem_calloc(self->params.max_keys_per_crypt, sizeof(*crypt_out));
 	crypt_out_real = mem_calloc(self->params.max_keys_per_crypt, sizeof(*crypt_out_real));
diff --git a/src/DOMINOSEC_fmt_plug.c b/src/DOMINOSEC_fmt_plug.c
index a38fb73757d..cd1569407e0 100644
--- a/src/DOMINOSEC_fmt_plug.c
+++ b/src/DOMINOSEC_fmt_plug.c
@@ -27,21 +27,19 @@ john_register_one(&fmt_DOMINOSEC);
 
 #include <ctype.h>
 #include <string.h>
-
-//#define DOMINOSEC_32BIT
-
 #ifdef DOMINOSEC_32BIT
 #include <stdint.h>
 #endif
+#ifdef _OPENMP
+#include <omp.h>
+#endif
 
 #include "misc.h"
 #include "formats.h"
 #include "common.h"
-#ifdef _OPENMP
-#include <omp.h>
+
 #ifndef OMP_SCALE
-#define OMP_SCALE               128
-#endif
+#define OMP_SCALE           4	// MKPC and OMP_SCALE tuned for core i7
 #endif
 
 #define FORMAT_LABEL		"dominosec"
@@ -62,7 +60,7 @@ john_register_one(&fmt_DOMINOSEC);
 #define BINARY_BUFFER_SIZE	(DIGEST_SIZE-SALT_SIZE)
 #define ASCII_DIGEST_LENGTH	(DIGEST_SIZE*2)
 #define MIN_KEYS_PER_CRYPT	3
-#define MAX_KEYS_PER_CRYPT	6
+#define MAX_KEYS_PER_CRYPT	24
 
 static unsigned char (*digest34)[34];
 static char (*saved_key)[PLAINTEXT_LENGTH+1];
@@ -161,9 +159,8 @@ static struct fmt_tests tests[] = {
 
 static void init(struct fmt_main *self)
 {
-#ifdef _OPENMP
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_key = mem_calloc(self->params.max_keys_per_crypt,
 	                       sizeof(*saved_key));
 	crypt_out = mem_calloc(self->params.max_keys_per_crypt,
diff --git a/src/NETNTLMv2_fmt_plug.c b/src/NETNTLMv2_fmt_plug.c
index 511dc3c2cff..f58ee1e056f 100644
--- a/src/NETNTLMv2_fmt_plug.c
+++ b/src/NETNTLMv2_fmt_plug.c
@@ -46,6 +46,7 @@ john_register_one(&fmt_NETNTLMv2);
 
 #include <stdint.h>
 #include <string.h>
+
 #ifdef _OPENMP
 #include <omp.h>
 #endif
@@ -64,6 +65,10 @@ john_register_one(&fmt_NETNTLMv2);
 #define uchar unsigned char
 #endif
 
+#ifndef OMP_SCALE
+#define OMP_SCALE			16	// MKPC and OMP_SCALE tuned for core i7
+#endif
+
 #define FORMAT_LABEL		"netntlmv2"
 #define FORMAT_NAME		"NTLMv2 C/R"
 #define FORMAT_TAG           "$NETNTLMv2$"
@@ -85,10 +90,7 @@ john_register_one(&fmt_NETNTLMv2);
 
 // these may be altered in init() if running OMP
 #define MIN_KEYS_PER_CRYPT	1
-#define MAX_KEYS_PER_CRYPT	1
-#ifndef OMP_SCALE
-#define OMP_SCALE		3072
-#endif
+#define MAX_KEYS_PER_CRYPT	32
 
 static struct fmt_tests tests[] = {
   {"", "password",                  {"USER1",                 "", "Domain",        "1122334455667788","5E4AB1BF243DCA304A00ADEF78DC38DF","0101000000000000BB50305495AACA01338BC7B090A62856000000000200120057004F0052004B00470052004F00550050000000000000000000"} },
@@ -118,9 +120,8 @@ static int keys_prepared;
 
 static void init(struct fmt_main *self)
 {
-#ifdef _OPENMP
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_plain = mem_calloc(self->params.max_keys_per_crypt,
 	                         sizeof(*saved_plain));
 	saved_len = mem_calloc(self->params.max_keys_per_crypt,
diff --git a/src/SybaseASE_fmt_plug.c b/src/SybaseASE_fmt_plug.c
index 9772510c6f9..1f87cb12c09 100644
--- a/src/SybaseASE_fmt_plug.c
+++ b/src/SybaseASE_fmt_plug.c
@@ -33,13 +33,11 @@ extern struct fmt_main fmt_SybaseASE;
 john_register_one(&fmt_SybaseASE);
 #else
 
-#include "arch.h"
+#ifdef _OPENMP
+#include <omp.h>
+#endif
 
-//#undef _OPENMP
-//#undef SIMD_COEF_32
-//#undef SIMD_PARA_SHA256
-//
-//#define FORCE_GENERIC_SHA2 2
+#include "arch.h"
 #include "sha2.h"
 #include "params.h"
 #include "common.h"
@@ -48,9 +46,16 @@ john_register_one(&fmt_SybaseASE);
 #include "unicode.h"
 #include "johnswap.h"
 #include "simd-intrinsics.h"
-#ifdef _OPENMP
-#include <omp.h>
+
+#ifdef __MIC__
+#ifndef OMP_SCALE
+#define OMP_SCALE           16
+#endif
+#else
+#ifndef OMP_SCALE
+#define OMP_SCALE           128	// MKPC and OMP_SCALE tuned for core i7
 #endif
+#endif // __MIC__
 
 #define FORMAT_LABEL        "SybaseASE"
 #define FORMAT_NAME         "Sybase ASE"
@@ -71,23 +76,11 @@ john_register_one(&fmt_SybaseASE);
 #define SALT_ALIGN          4
 
 #ifdef SIMD_COEF_32
-#define MIN_KEYS_PER_CRYPT  (SIMD_COEF_32*SIMD_PARA_SHA256)
-#define MAX_KEYS_PER_CRYPT	(SIMD_COEF_32*SIMD_PARA_SHA256)
-#ifdef __MIC__
-#ifndef OMP_SCALE
-#define OMP_SCALE           64
-#endif
-#else
-#ifndef OMP_SCALE
-#define OMP_SCALE           512
-#endif
-#endif // __MIC__
+#define MIN_KEYS_PER_CRYPT  (SIMD_COEF_32 * SIMD_PARA_SHA256)
+#define MAX_KEYS_PER_CRYPT	(SIMD_COEF_32 * SIMD_PARA_SHA256 * 4)
 #else
 #define MIN_KEYS_PER_CRYPT	1
-#define MAX_KEYS_PER_CRYPT  1
-#ifndef OMP_SCALE
-#define OMP_SCALE           256
-#endif
+#define MAX_KEYS_PER_CRYPT  4
 #endif
 
 static struct fmt_tests SybaseASE_tests[] = {
@@ -115,9 +108,8 @@ static void init(struct fmt_main *self)
 #if SIMD_COEF_32
 	int i;
 #endif
-#ifdef _OPENMP
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	kpc = self->params.max_keys_per_crypt;
 
 	prep_key = mem_calloc_align(sizeof(*prep_key),
diff --git a/src/SybasePROP_fmt_plug.c b/src/SybasePROP_fmt_plug.c
index b932a67e584..09a559adb8f 100644
--- a/src/SybasePROP_fmt_plug.c
+++ b/src/SybasePROP_fmt_plug.c
@@ -22,22 +22,21 @@ extern struct fmt_main fmt_sybaseprop;
 john_register_one(&fmt_sybaseprop);
 #else
 
+#ifdef _OPENMP
+#include <omp.h>
+#endif
+
 #include "arch.h"
 #include "params.h"
 #include "common.h"
 #include "formats.h"
 #include "options.h"
-
 #include "syb-prop_repro.h"
 
-#ifdef _OPENMP
-#include <omp.h>
 #ifndef OMP_SCALE
-#define OMP_SCALE           16
-#endif
+#define OMP_SCALE           4	// MKPC and OMP_SCALE tuned for core i7
 #endif
 
-
 #define BLOCK_SIZE 8
 
 #define FORMAT_LABEL        "Sybase-PROP"
@@ -61,7 +60,7 @@ john_register_one(&fmt_sybaseprop);
 #define SALT_ALIGN          1
 
 #define MIN_KEYS_PER_CRYPT  1
-#define MAX_KEYS_PER_CRYPT  128
+#define MAX_KEYS_PER_CRYPT  32
 
 static struct fmt_tests SybasePROP_tests[] = {
 	{"0x2905aeb3d00e3b80fb0695cb34c9fa9080f84ae1824b24cc51a3849dcb06", "test11"},
@@ -75,9 +74,8 @@ static uint32_t (*crypt_out)[BINARY_SIZE / sizeof(uint32_t)];
 
 static void init(struct fmt_main *self)
 {
-#ifdef _OPENMP
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_key = mem_calloc(self->params.max_keys_per_crypt,
 	                       sizeof(*saved_key));
 	crypt_out = mem_calloc(self->params.max_keys_per_crypt,
diff --git a/src/agilekeychain_fmt_plug.c b/src/agilekeychain_fmt_plug.c
index d9994118201..04cd01f6b07 100644
--- a/src/agilekeychain_fmt_plug.c
+++ b/src/agilekeychain_fmt_plug.c
@@ -20,12 +20,8 @@ john_register_one(&fmt_agile_keychain);
 #else
 
 #include <string.h>
-
 #ifdef _OPENMP
 #include <omp.h>
-#ifndef OMP_SCALE
-#define OMP_SCALE               1 // tuned on core i7
-#endif
 #endif
 
 #include "arch.h"
@@ -40,6 +36,10 @@ john_register_one(&fmt_agile_keychain);
 #include "pbkdf2_hmac_sha1.h"
 #include "agilekeychain_common.h"
 
+#ifndef OMP_SCALE
+#define OMP_SCALE               4	// MKPC and OMP_SCALE tuned for core i7
+#endif
+
 #define FORMAT_LABEL            "agilekeychain"
 #ifdef SIMD_COEF_32
 #define ALGORITHM_NAME          "PBKDF2-SHA1 AES " SHA1_ALGORITHM_NAME
@@ -68,9 +68,8 @@ static struct custom_salt *cur_salt;
 
 static void init(struct fmt_main *self)
 {
-#if defined (_OPENMP)
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_key = mem_calloc_align(sizeof(*saved_key),
 			self->params.max_keys_per_crypt, MEM_ALIGN_WORD);
 	cracked = mem_calloc_align(sizeof(*cracked),
diff --git a/src/aix_ssha_fmt_plug.c b/src/aix_ssha_fmt_plug.c
index 4be3bf6391f..4634b4976cd 100644
--- a/src/aix_ssha_fmt_plug.c
+++ b/src/aix_ssha_fmt_plug.c
@@ -24,12 +24,8 @@ john_register_one(&fmt_aixssha512);
 #else
 
 #include <string.h>
-
 #ifdef _OPENMP
 #include <omp.h>
-#ifndef OMP_SCALE
-#define OMP_SCALE               8 // Tuned on i7 w/HT for SHA-256
-#endif
 #endif
 
 #include "arch.h"
@@ -42,6 +38,10 @@ john_register_one(&fmt_aixssha512);
 #include "pbkdf2_hmac_sha256.h"
 #include "pbkdf2_hmac_sha512.h"
 
+#ifndef OMP_SCALE
+#define OMP_SCALE               4	// MKPC and OMP_SCALE tuned for core i7
+#endif
+
 #define FORMAT_LABEL_SHA1       "aix-ssha1"
 #define FORMAT_LABEL_SHA256     "aix-ssha256"
 #define FORMAT_LABEL_SHA512     "aix-ssha512"
@@ -123,9 +123,8 @@ static struct custom_salt {
 
 static void init(struct fmt_main *self)
 {
-#ifdef _OPENMP
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_key = mem_calloc_align(sizeof(*saved_key),
 			self->params.max_keys_per_crypt, MEM_ALIGN_WORD);
 	crypt_out = mem_calloc_align(sizeof(*crypt_out),
diff --git a/src/bitlocker_fmt_plug.c b/src/bitlocker_fmt_plug.c
index 155c1e5411a..55ed58333bc 100644
--- a/src/bitlocker_fmt_plug.c
+++ b/src/bitlocker_fmt_plug.c
@@ -23,12 +23,8 @@ john_register_one(&fmt_bitlocker);
 #else
 
 #include <string.h>
-
 #ifdef _OPENMP
 #include <omp.h>
-#ifndef OMP_SCALE
-#define OMP_SCALE               1
-#endif
 #endif
 
 #include "arch.h"
@@ -47,6 +43,10 @@ john_register_one(&fmt_bitlocker);
 #define CPU_FORMAT              1
 #include "bitlocker_variable_code.h"
 
+#ifndef OMP_SCALE
+#define OMP_SCALE               1	// MKPC and OMP_SCALE tuned for core i7
+#endif
+
 #define FORMAT_LABEL            "BitLocker"
 #if ARCH_BITS >= 64
 #define ALGORITHM_NAME          "SHA-256 AES 64/" ARCH_BITS_STR
@@ -69,9 +69,8 @@ static bitlocker_custom_salt *cur_salt;
 
 static void init(struct fmt_main *self)
 {
-#if defined (_OPENMP)
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_key = mem_calloc(sizeof(*saved_key),  self->params.max_keys_per_crypt);
 	cracked = mem_calloc(sizeof(*cracked), self->params.max_keys_per_crypt);
 	cracked_count = self->params.max_keys_per_crypt;
diff --git a/src/vmx_fmt_plug.c b/src/vmx_fmt_plug.c
index 13fd0fe9000..7e28329a1f3 100644
--- a/src/vmx_fmt_plug.c
+++ b/src/vmx_fmt_plug.c
@@ -15,12 +15,8 @@ john_register_one(&fmt_vmx);
 #else
 
 #include <string.h>
-
 #ifdef _OPENMP
 #include <omp.h>
-#ifndef OMP_SCALE
-#define OMP_SCALE               64
-#endif
 #endif
 
 #include "arch.h"
@@ -34,6 +30,10 @@ john_register_one(&fmt_vmx);
 #include "aes.h"
 #include "pbkdf2_hmac_sha1.h"
 
+#ifndef OMP_SCALE
+#define OMP_SCALE               1	// MKPC and OMP_SCALE tuned for core i7
+#endif
+
 #define FORMAT_LABEL            "vmx"
 #ifdef SIMD_COEF_32
 #define ALGORITHM_NAME          "PBKDF2-SHA1 AES " SHA1_ALGORITHM_NAME
@@ -61,9 +61,8 @@ static struct custom_salt *cur_salt;
 
 static void init(struct fmt_main *self)
 {
-#if defined (_OPENMP)
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_key = mem_calloc(sizeof(*saved_key),  self->params.max_keys_per_crypt);
 	cracked = mem_calloc(sizeof(*cracked), self->params.max_keys_per_crypt);
 	cracked_count = self->params.max_keys_per_crypt;
diff --git a/src/wow_srp_fmt_plug.c b/src/wow_srp_fmt_plug.c
index 9d263442c44..cfcb25bacf7 100644
--- a/src/wow_srp_fmt_plug.c
+++ b/src/wow_srp_fmt_plug.c
@@ -53,14 +53,6 @@ john_register_one(&fmt_blizzard);
 #endif
 
 #include <string.h>
-#include "sha.h"
-#include "sha2.h"
-
-#include "arch.h"
-#include "params.h"
-#include "common.h"
-#include "formats.h"
-#include "unicode.h" /* For encoding-aware uppercasing */
 #ifdef HAVE_LIBGMP
 #if HAVE_GMP_GMP_H
 #include <gmp/gmp.h>
@@ -72,12 +64,21 @@ john_register_one(&fmt_blizzard);
 #include <openssl/bn.h>
 #define EXP_STR " oSSL-exp"
 #endif
-#include "johnswap.h"
 #ifdef _OPENMP
 #include <omp.h>
-#ifndef OMP_SCALE
-#define OMP_SCALE               64
 #endif
+
+#include "arch.h"
+#include "sha.h"
+#include "sha2.h"
+#include "params.h"
+#include "common.h"
+#include "formats.h"
+#include "unicode.h" /* For encoding-aware uppercasing */
+#include "johnswap.h"
+
+#ifndef OMP_SCALE
+#define OMP_SCALE          256	// MKPC and OMP_SCALE tuned for core i7
 #endif
 
 #define FORMAT_LABEL		"WoWSRP"
@@ -101,7 +102,7 @@ john_register_one(&fmt_blizzard);
 #define USERNAMELEN             32
 
 #define MIN_KEYS_PER_CRYPT	1
-#define MAX_KEYS_PER_CRYPT	4
+#define MAX_KEYS_PER_CRYPT	1
 
 // salt is in hex  (salt and salt2)
 static struct fmt_tests tests[] = {
@@ -137,9 +138,8 @@ static void init(struct fmt_main *self)
 {
 	int i;
 
-#if defined (_OPENMP)
 	omp_autotune(self, OMP_SCALE);
-#endif
+
 	saved_key = mem_calloc(self->params.max_keys_per_crypt,
 	                       sizeof(*saved_key));
 	crypt_out = mem_calloc(self->params.max_keys_per_crypt,
